using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;


public partial class adminBug_System : BasePage
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            this.SysInfo();
        }

    }
    public void SysInfo()
    {
        lblServerName.Text = Server.MachineName;
        LblSystem.Text = Environment.OSVersion.ToString();
        LblServerIp.Text = Request.ServerVariables.Get("Local_Addr");
        lblWebsite.Text = Request.Url.GetLeftPart(UriPartial.Authority);
        lblIISVersion.Text = Request.ServerVariables["server_software"].ToString();
        lblDotNetVersion.Text = Environment.Version.ToString();
        lblserverPort.Text = Request.ServerVariables["server_port"];
        lblserverOut.Text = Server.ScriptTimeout.ToString();
        lblNowTime.Text = DateTime.Now.ToString();
        lblstart.Text = (System.Environment.TickCount / 3600000).ToString("N2");
        lblservers.Text = Session.Contents.Count.ToString();
        lbljuedui.Text = Request.ServerVariables["APPL_PHYSICAL_PATH"];
        lblserverjd.Text = Request.ServerVariables["path_translated"];
    }
    protected void btnSave_Click(object sender, EventArgs e)
    {
        this.SysInfo();
    }
}
